OpenNMS API 1.2.9

## org.opennms.netmgt.eventd.adaptors
Class EventHandlerMBeanProxy

    java.lang.Object
      org.opennms.netmgt.eventd.adaptors.EventHandlerMBeanProxy

All Implemented Interfaces:
  EventHandler

public class EventHandlerMBeanProxy
extends java.lang.Object
implements EventHandler

This interface provides the contract that implementor must implement in order to receive events from adaptors.

Author:
  Brian Weaver , OpenNMS

Field Summary
`private javax.management.ObjectName` `m_listener`
`private javax.management.MBeanServer` `m_mbserver`

Constructor Summary
`EventHandlerMBeanProxy(javax.management.ObjectName name)`
`EventHandlerMBeanProxy(javax.management.ObjectName name, javax.management.MBeanServer server)`
`EventHandlerMBeanProxy(java.lang.String name)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`private void` `findServer()`
`boolean` `processEvent(Event event)`
`void` `receiptSent(EventReceipt receipt)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_mbserver

    private javax.management.MBeanServer m_mbserver

### m_listener

    private javax.management.ObjectName m_listener

Constructor Detail

### EventHandlerMBeanProxy

    public EventHandlerMBeanProxy(java.lang.String name)
                           throws javax.management.MalformedObjectNameException,
                                  javax.management.InstanceNotFoundException

### EventHandlerMBeanProxy

    public EventHandlerMBeanProxy(javax.management.ObjectName name)
                           throws javax.management.InstanceNotFoundException

### EventHandlerMBeanProxy

    public EventHandlerMBeanProxy(javax.management.ObjectName name,
                                  javax.management.MBeanServer server)

Method Detail

### findServer

    private void findServer()
                     throws javax.management.InstanceNotFoundException

  Throws:
    `javax.management.InstanceNotFoundException`

### processEvent

    public boolean processEvent(Event event)

  Specified by:
    `processEvent` in interface `EventHandler`

### receiptSent

    public void receiptSent(EventReceipt receipt)

  Specified by:
    `receiptSent` in interface `EventHandler`

### equals

    public boolean equals(java.lang.Object obj)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.